<?php


namespace Mehrab\Media\Contracts;


use Illuminate\Http\UploadedFile;
use Mehrab\Media\Models\Media;

interface MediaServiceContract
{
    public static function upload(UploadedFile $file,string $filename,string $dir):array ;

    public static function delete(Media $media);

    public static function thumb(Media $media);

    public static function stream(Media $media);
}
